Loading...
Searching...
No Matches
filter_list Struct Reference
Rig (transceiver) API

Filter definition. More...

`#include <rig.h>`

## Data Fields

rmode_t | modes
pbwidth_t | width

## Detailed Description

Filter definition.

Lists the filters available for each mode.

If more than one filter is available for a given mode, the first entry in the array will be the default filter to use for the normal passband of this mode. The first entry in the array below the default normal passband is the default narrow passband and the first entry in the array above the default normal passband is the default wide passband. Note: if there's no lower width or upper width, then narrow or respectively wide passband is equal to the default normal passband.

If a width field in the list has RIG_FLT_ANY value, this means the rig allows its passband width to be set to any value ranging from the lowest to the highest value (if any) in the list for that mode. The RIG_FLT_ANY value, if present, must be the last one in the list.

The width field is the narrowest passband in a transmit/receive chain with regard to different IF.

See also
  rig_set_mode(), rig_passband_normal(), rig_passband_narrow(), rig_passband_wide()

## Field Documentation

## modes

rmode_t filter_list::modes

Bit field of RIG_MODE's

## width

pbwidth_t filter_list::width

Passband width in Hz

The documentation for this struct was generated from the following file:

- rig.h